;+
;  NAME:
;   power_spectrum
;
;  DESCRIPTION:
;   calculates a power spectrum from a waveform
;
;  USES:
;   power, sfft
;
;  INPUT:
;   sampling_frequency
;   waveform
;   nfft ... number of points entering into a single fft
;
;  OUTPUT:
;   frequency(nf) ... array of frequencies
;   spectrum(nf) ...  array of power spectral density
;
;  HISTORY:
;   5/2004, O. Santolik, written using older programs (read_WBD)
;   6/2007, O. Santolik, revised
;

pro power_spectrum, sampling_frequency, waveform,  nfft,$
                    frequency, spectrum
 power, sampling_frequency, waveform,  nfft, $
           frequency, ft, fe  ;__ nonaveraged power spectral density
 spectrum=total(fe,1)/n_elements(ft) ;__averaging
end

