;+
;  NAME:
;   read_wf
;
;  DESCRIPTION:
;   reads a waveform from an ascii file
;
;  INPUT:
;   filename ... name of the ASCII file containing the
;                waveform data
;  OUTPUT:
;   data_source
;   start ... time of the first data point
;   sampling_frequency
;   waveform
;
;  HISTORY:
;   5/2004, O. Santolik, written
;   6/2007, O. Santolik, revised
;-

pro read_wf, filename, $
             data_source, start, sampling_frequency, waveform
  openr,1,filename
  comment=' '
  readf,1,comment ; '%--- Waveform data ---'
  readf,1,comment ; '%---------------------'
  readf,1,comment ; '%--- Data source:'
  data_source='' & readf,1,data_source
  readf,1,comment ;'%--- Time (first point):'
  start=''& readf,1,start
  readf,1,comment ; '%--- Sampling frequency (Hz):'
  sampling_frequency=0. & readf,1,sampling_frequency
  readf,1,comment ; '%--- Number of data points:'
  np=0l & readf,1,np
  readf,1,comment ; '% Waveform data:'
  waveform=fltarr(np) & readf,1,waveform
  close,1
end










