;+
;  NAME:
;   save_wf
;
;  DESCRIPTION:
;   saves a waveform into an ascii file
;
;  INPUT:
;   filename ... name of the IDL save file containing the
;                waveform data
;
;  HISTORY:
;   5/2004, O. Santolik, written
;-

pro save_wf,filename
  restore,filename+'.sav',/ver
  openw,1,filename+'.asc'
  printf,1,'%--- Waveform data ---'
  printf,1,'%---------------------'
  printf,1,'%--- Data source:'
  printf,1,data_source
  printf,1,'%--- Time (first point):'
  printf,1,start
  printf,1,'%--- Sampling frequency (Hz):'
  printf,1,sampling_frequency
  printf,1,'%--- Number of data points:'
  printf,1,n_elements(waveform)
  printf,1,'% Waveform data:'
  printf,1,waveform,format='(g14.6)'
  close,1
end










