;+
;  NAME:
;   sfft
;
;  DESCRIPTION:
;   returns complex spectrum of a waveform
;   subtracting bi-quadratic trend
;   fft with Hanning window
;
;  INPUT:
;   a... waveform
;   p... size of the waveform
;
;  OUTPUT:
;   returns complex FFT spectrum
;
;  HISTORY:
;   5/2004, O. Santolik, excavated from historical layers
;   6/2007, O. Santolik, revised
;-

function sfft,a,p
   dum=poly_fit(findgen(p),a,4,ysub) ; biquadratic fit
   sp=fft(2.*hanning(p)*(a-ysub),-1) ; 2* to have unity integral of hanning
   return,sp(1:long(p/2l))
end
